- Claim an Online transaction as the seller
Get multiple online transactions by their IDs
Get online transactions for the logged-in user
Create a new online transaction
Create a new online transaction with both users
Create a new online transaction with both users
Get an online transaction using a join code
Join an online transaction using a join code
Get an online transaction by its ID
Claim online transaction on behalf of the buyer
Claim online transactions on behalf of the seller
Submit a detailed order issue for this online transaction
Claim for an online transaction as buyer given a claim secret
Claim an Online transacti...
This endpoint allows a full user to claim a transaction as seller given a claim secret.
Security
OAuth2
POST
curl -i -X POST \
'https://dev.stage.trustap.com/api/v1/transactions_by_claim_secret/{secret}/claim_as_seller' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'OK
The currency of the transaction. Note that, at present, the buyer must pay using the transaction's currency and the seller will be paid in the transaction's currency.
Example:"eur"
URL of the image displayed on the Trustap payment page to show the buyer the item they are paying for. Supports jpg, png, gif, bmp and svg files. Images displayed as a squares. Non-square images are cropped
If the transaction is paid via a delayed payment method, such as SEPA debit, this field will be true until the payment has fully succeeded or failed.
Example:false
If the transaction is created from a listing then this is the ID of that listing; otherwise this property is omitted.
Example:
{ "barcode": "ABC123456", "barcode_generated": "2019-12-26T14:00:00Z" }
Response
{ "buyer_id": "feb33a87-3917-4538-9260-127c8a6b5232", "charge": 78, "charge_buyer_client": 0, "charge_seller": 0, "charge_seller_client": 0, "client_id": "trustap-app", "created": "2019-12-25T09:00:00Z", "currency": "eur", "delivered": "2019-12-25T13:00:00Z", "description": "Soccer ticket", "funds_released": "2019-12-26T14:00:00Z", "id": 1309, "is_payment_in_progress": false, "joined": "2019-12-25T10:00:00Z", "paid": "2019-12-25T11:00:00Z", "posta_hr_tracking": { "barcode": "ABC12345", "barcode_generated": "2019-12-25T12:00:00Z" }, "price": 1234, "quantity": 1, "seller_id": "ad5bb99f-85bf-47e1-be0d-15e7541c6ad7", "status": "funds_released", "tracked": "2019-12-25T12:00:00Z", "tracking": { "carrier": "ups", "tracking_code": "***" } }